## qtractor 0.9.12

=== CMakeLists.txt ===
project(QTRACTOR)

cmake_minimum_required(VERSION 3.1)

set (VERSION "0.9.12")

set (CONFIG_VERSION ${VERSION})
execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
  string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
  string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
    set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
endif ()

set (PACKAGE_NAME "Qtractor")
set (PACKAGE_VERSION "${VERSION}")
set (PACKAGE_BUGREPORT "rncbc@rncbc.org")
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_TARNAME "qtractor")

set (CONFIG_BUILD_VERSION "${PACKAGE_VERSION}")

if (CMAKE_BUILD_TYPE)
  set (CONFIG_BUILD_TYPE ${CMAKE_BUILD_TYPE})
else ()
  set (CONFIG_BUILD_TYPE "release")
endif ()

set (CONFIG_DEBUG 0)
if (CONFIG_BUILD_TYPE MATCHES "debug")
  set (CONFIG_DEBUG 1)
endif ()

set (CONFIG_PREFIX "${CMAKE_INSTALL_PREFIX}")

include (GNUInstallDirs)
set (CONFIG_BINDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_BINDIR}")
set (CONFIG_LIBDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
set (CONFIG_DATADIR "${CONFIG_PREFIX}/${CMAKE_INSTALL_DATADIR}")
set (CONFIG_MANDIR  "${CONFIG_PREFIX}/${CMAKE_INSTALL_MANDIR}")


# Enable libvorbis(file) availability.
option (CONFIG_LIBVORBIS "Enable libvorbis interface (default=yes)" 1)

# Enable libmad availability.
option (CONFIG_LIBMAD "Enable libmad interface (default=yes)" 1)

# Enable libsamplerate availability.
option (CONFIG_LIBSAMPLERATE "Enable libsamplerate interface (default=yes)" 1)

# Enable librubberband availability.
option (CONFIG_LIBRUBBERBAND "Enable librubberband interface (default=yes)" 1)

# Enable libaudio support.
option (CONFIG_LIBAUBIO "Enable libaubio interface support (default=yes)" 1)

# Enable liblo availability.
option (CONFIG_LIBLO "Enable liblo interface (default=yes)" 1)

# Enable libz availability.
option (CONFIG_LIBZ "Enable libz interface (default=yes)" 1)

# Enable LILV support.
option (CONFIG_LIBLILV "Enable LILV interface support (default=yes)" 1)

# Enable SUIL support.
option (CONFIG_LIBSUIL "Enable SUIL interface support (default=yes)" 1)

# Enable SSE optimization.
option (CONFIG_SSE "Enable SSE optimization (default=yes)" 1)

# Enable LADSPA support.
option (CONFIG_LADSPA "Enable LADSPA plug-in support (default=yes)" 1)

# Enable DSSI support.
option (CONFIG_DSSI "Enable DSSI plug-in support (default=yes)" 1)

# Enable VST support.
option (CONFIG_VST "Enable VST plug-in support (default=yes)" 1)

option (CONFIG_VESTIGE "Enable VeSTige header support (default=yes)" 1)

# Enable LV2 support.
option (CONFIG_LV2 "Enable LV2 plug-in support (default=yes)" 1)

option (CONFIG_LV2_EVENT "Enable LV2 plug-in MIDI/Event support (default=no)" 0)

option (CONFIG_LV2_ATOM "Enable LV2 plug-in MIDI/Atom support (default=yes)" 1)

option (CONFIG_LV2_WORKER "Enable LV2 plug-in Worker/schedule support (default=yes)" 1)

option (CONFIG_LV2_UI "Enable LV2 plug-in UI support (default=yes)" 1)

option (CONFIG_LV2_EXTERNAL_UI "Enable LV2 plug-in External UI support (default=yes)" 1)

option (CONFIG_LV2_STATE "Enable LV2 plug-in State support (default=yes)" 1)

option (CONFIG_LV2_STATE_FILES "Enable LV2 plug-in State Files support (default=yes)" 1)

option (CONFIG_LV2_STATE_MAKE_PATH "Enable LV2 plug-in State Make Path support (default=no)" 0)

option (CONFIG_LV2_PROGRAMS "Enable LV2 plug-in Programs support (default=yes)" 1)

option (CONFIG_LV2_PRESETS "Enable LV2 plug-in Presets support (default=yes)" 1)

option (CONFIG_LV2_PATCH "Enable LV2 plug-in Patch support (default=yes)" 1)

option (CONFIG_LV2_TIME "Enable LV2 plug-in Time support (default=yes)" 1)

option (CONFIG_LV2_TIME_POSITION "Enable LV2 plug-in Time/position support (default=yes)" 1)

option (CONFIG_LV2_OPTIONS "Enable LV2 plug-in Options support (default=yes)" 1)

option (CONFIG_LV2_BUF_SIZE "Enable LV2 plug-in Buf-size support (default=yes)" 1)

option (CONFIG_LV2_UI_TOUCH "Enable LV2 plug-in UI Touch interface support (default=yes)" 1)

option (CONFIG_LV2_UI_IDLE "Enable LV2 plug-in UI Idle interface support (default=yes)" 1)

option (CONFIG_LV2_UI_SHOW "Enable LV2 plug-in UI Show interface support (default=yes)" 1)

option (CONFIG_LV2_UI_GTK2 "Enable LV2 plug-in UI GTK2 native support (default=yes)" 1)

option (CONFIG_LV2_UI_X11 "Enable LV2 plug-in UI X11 native support (default=yes)" 1)

# Enable JACK session support.
option (CONFIG_JACK_SESSION "Enable JACK session support (default=yes)" 1)

# Enable JACK latency support.
option (CONFIG_JACK_LATENCY "Enable JACK latency support (default=yes)" 1)

# Enable JACK metadata support.
option (CONFIG_JACK_METADATA "Enable JACK metadata support (default=yes)" 1)

# Enable NSM support.
option (CONFIG_NSM "Enable NSM support (default=yes)" 1)

# Enable unique/single instance.
option (CONFIG_XUNIQUE "Enable unique/single instance (default=no)" 0)

# Enable gradient eye_candy.
option (CONFIG_GRADIENT "Enable gradient eye-candy (default=yes)" 1)

# Enable debugger stack_trace option (assumes --enable-debug).
option (CONFIG_STACKTRACE "Enable debugger stack-trace (default=no)" 0)


# Fix for new CMAKE_REQUIRED_LIBRARIES policy.
if (POLICY CMP0075)
  cmake_policy (SET CMP0075 NEW)
endif ()

# Check for Qt
find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Xml)

if (CONFIG_XUNIQUE)
  find_package (Qt5 REQUIRED COMPONENTS Network)
endif ()

find_package (Qt5LinguistTools)

include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckIncludeFileCXX)
include (CheckFunctionExists)
include (CheckLibraryExists)

# Checks for libraries.
if (WIN32)
  check_function_exists (lroundf CONFIG_ROUND)
else ()
  find_library (MATH_LIBRARY m)
  # Check for round math function.
  if (MATH_LIBRARY)
    set (CMAKE_REQUIRED_LIBRARIES "${MATH_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
    check_function_exists (lroundf CONFIG_ROUND)
  else ()
    message (FATAL_ERROR "*** math library not found.")
  endif ()
endif ()

# Check for IEEE 32bit float optimizations.
set (CONFIG_FLOAT32 1)

# Check for SSE optimization.
if (CONFIG_SSE)
  add_compile_options (-msse -mfpmath=sse -ffast-math)
endif ()

# Checks for header files.
if (UNIX AND NOT APPLE)
  check_include_files ("fcntl.h;unistd.h;signal.h" HAVE_SIGNAL_H)
endif ()


# Check for LADSPA headers.
if (CONFIG_LADSPA)
  check_include_file (ladspa.h HAVE_LADSPA_H)
  if (NOT HAVE_LADSPA_H)
    set (CONFIG_LADSPA 0)
  endif ()
endif ()

# Check for DSSI headers.
if (CONFIG_DSSI)
  check_include_file (dssi.h HAVE_DSSI_H)
  if (NOT HAVE_DSSI_H)
    set (CONFIG_DSSI 0)
  endif ()
endif ()

# Check for VST headers.
if (CONFIG_VST)
  check_include_file (aeffectx.h HAVE_AEFFECTX_H)
  if (NOT HAVE_AEFFECTX_H AND CONFIG_VESTIGE)
    set (VESTIGE_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/vestige)
    set (CMAKE_REQUIRED_INCLUDES "${VESTIGE_INCLUDES};${CMAKE_REQUIRED_INCLUDES}")
    include_directories (${VESTIGE_INCLUDES})
    check_include_file (vestige.h HAVE_VESTIGE_H)
    if (NOT HAVE_VESTIGE_H)
      set (CONFIG_VESTIGE 0)
    endif ()
    set (CONFIG_VST ${CONFIG_VESTIGE})
  else ()
    set (CONFIG_VESTIGE 0)
  endif ()
endif ()

# Check for LV2 headers.
if (CONFIG_LV2)
  set (LV2_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/src/lv2)
  set (CMAKE_REQUIRED_INCLUDES "${LV2_INCLUDES};${CMAKE_REQUIRED_INCLUDES}")
  include_directories (${LV2_INCLUDES})
endif ()

# Find package modules
find_package (PkgConfig REQUIRED)

# Check for JACK libraries.
pkg_check_modules (JACK REQUIRED jack>=0.100.0)
if (JACK_FOUND)
  set (CONFIG_LIBJACK 1)
  include_directories (${JACK_INCLUDE_DIRS})
  link_directories (${JACK_LIBRARY_DIRS})
# link_libraries (${JACK_LIBRARIES})
  set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  # Check for JACK session event callback availability.
  if (CONFIG_JACK_SESSION)
    check_function_exists (jack_set_session_callback CONFIG_JACK_SESSION)
  endif ()
  # Check for (new) JACK latency support availability.
  if (CONFIG_JACK_LATENCY)
    check_function_exists (jack_port_get_latency_range CONFIG_JACK_LATENCY)
  endif ()
  # Check for JACK metadata support availability.
  if (CONFIG_JACK_METADATA)
    check_function_exists (jack_get_property CONFIG_JACK_METADATA)
  endif ()
  # Check for jack_set_port_rename_callback.
  check_function_exists (jack_set_port_rename_callback CONFIG_JACK_PORT_RENAME)
else ()
  message (FATAL_ERROR "*** JACK library not found.")
  set (CONFIG_LIBJACK 0)
endif ()

# Check for ALSA libraries.
pkg_check_modules (ALSA REQUIRED alsa)
if (ALSA_FOUND)
  set (CONFIG_LIBASOUND 1)
  include_directories (${ALSA_INCLUDE_DIRS})
  link_directories (${ALSA_LIBRARY_DIRS})
  link_libraries (${ALSA_LIBRARIES})
# set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
else ()
  message (FATAL_ERROR "*** ALSA library not found.")
  set (CONFIG_LIBASOUND 0)
endif ()

# Check for SNDFILE libraries.
pkg_check_modules (SNDFILE REQUIRED sndfile)
if (SNDFILE_FOUND)
  set (CONFIG_LIBSNDFILE 1)
  include_directories (${SNDFILE_INCLUDE_DIRS})
  link_directories (${SNDFILE_LIBRARY_DIRS})
  link_libraries (${SNDFILE_LIBRARIES})
# set (CMAKE_REQUIRED_LIBRARIES "${SNDFILE_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
else ()
  message (FATAL_ERROR "*** SNDFILE library not found.")
  set (CONFIG_LIBSNDFILE 0)
endif ()

# Check for VORBIS libraries.
if (CONFIG_LIBVORBIS)
  pkg_check_modules (VORBIS vorbis)
  if (VORBIS_FOUND)
    include_directories (${VORBIS_INCLUDE_DIRS})
    link_directories (${VORBIS_LIBRARY_DIRS})
    link_libraries (${VORBIS_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${VORBIS_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** VORBIS library not found.")
    set (CONFIG_LIBVORBIS 0)
  endif ()
endif ()

if (CONFIG_LIBVORBIS)
  pkg_check_modules (VORBISENC REQUIRED vorbisenc)
  if (VORBISENC_FOUND)
    include_directories (${VORBISENC_INCLUDE_DIRS})
    link_directories (${VORBISENC_LIBRARY_DIRS})
    link_libraries (${VORBISENC_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${VORBISENC_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  endif ()
endif ()

if (CONFIG_LIBVORBIS)
  pkg_check_modules (VORBISFILE REQUIRED vorbisfile)
  if (VORBISFILE_FOUND)
    include_directories (${VORBISFILE_INCLUDE_DIRS})
    link_directories (${VORBISFILE_LIBRARY_DIRS})
    link_libraries (${VORBISFILE_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${VORBISFILE_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  endif ()
endif ()

if (CONFIG_LIBVORBIS)
  pkg_check_modules (OGG REQUIRED ogg)
  if (OGG_FOUND)
    include_directories (${OGG_INCLUDE_DIRS})
    link_directories (${OGG_LIBRARY_DIRS})
    link_libraries (${OGG_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${OGG_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  endif ()
endif ()

# Check for MAD libraries.
if (CONFIG_LIBMAD)
  pkg_check_modules (MAD mad)
  if (MAD_FOUND)
    include_directories (${MAD_INCLUDE_DIRS})
    link_directories (${MAD_LIBRARY_DIRS})
    link_libraries (${MAD_LIBRARIES})
  # set (CMAKE_REQUIRED_LIBRARIES "${MAD_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
  else ()
    message (WARNING "*** MAD library not found.")
    set (CONFIG_LIBMAD 0)
  endif ()
endif ()

# Check for SAMPLERATE libraries.
if (CONFIG_LIBSAMPLERATE)
  pkg_check_modules (SAMPLERATE samplerate)
  if (SAMPLERATE_FOUND)
    include_directories (${SAMPLERATE_INCLUDE_DIRS})
    link_directories (${SAMPLERATE_LIBRARY_DIRS})
    link_libraries (${SAMPLERATE_LIBRARIES})

=== src/CMakeLists.txt ===
set(NAME qtractor)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set (HEADERS
  qtractor.h
  qtractorAbout.h
  qtractorAtomic.h
  qtractorActionControl.h
  qtractorAudioBuffer.h
  qtractorAudioClip.h
  qtractorAudioConnect.h
  qtractorAudioEngine.h
  qtractorAudioFile.h
  qtractorAudioListView.h
  qtractorAudioMadFile.h
  qtractorAudioMeter.h
  qtractorAudioMonitor.h
  qtractorAudioPeak.h
  qtractorAudioSndFile.h
  qtractorAudioVorbisFile.h
  qtractorClip.h
  qtractorClipCommand.h
  qtractorClipSelect.h
  qtractorCommand.h
  qtractorConnect.h
  qtractorConnections.h
  qtractorCtlEvent.h
  qtractorCurve.h
  qtractorCurveCommand.h
  qtractorCurveFile.h
  qtractorCurveSelect.h
  qtractorDocument.h
  qtractorDssiPlugin.h
  qtractorEngine.h
  qtractorEngineCommand.h
  qtractorFifoBuffer.h
  qtractorFileList.h
  qtractorFileListView.h
  qtractorFiles.h
  qtractorFileSystem.h
  qtractorInsertPlugin.h
  qtractorInstrument.h
  qtractorInstrumentMenu.h
  qtractorLadspaPlugin.h
  qtractorList.h
  qtractorLv2Plugin.h
  qtractorMessageBox.h
  qtractorMessageList.h
  qtractorMessages.h
  qtractorMeter.h
  qtractorMidiBuffer.h
  qtractorMidiClip.h
  qtractorMidiConnect.h
  qtractorMidiControl.h
  qtractorMidiControlCommand.h
  qtractorMidiControlObserver.h
  qtractorMidiControlTypeGroup.h
  qtractorMidiCursor.h
  qtractorMidiEditor.h
  qtractorMidiEditCommand.h
  qtractorMidiEditEvent.h
  qtractorMidiEditList.h
  qtractorMidiEditSelect.h
  qtractorMidiEditTime.h
  qtractorMidiEditView.h
  qtractorMidiEngine.h
  qtractorMidiEvent.h
  qtractorMidiEventList.h
  qtractorMidiFile.h
  qtractorMidiFileTempo.h
  qtractorMidiListView.h
  qtractorMidiManager.h
  qtractorMidiMeter.h
  qtractorMidiMonitor.h
  qtractorMidiRpn.h
  qtractorMidiSequence.h
  qtractorMidiSysex.h
  qtractorMidiThumbView.h
  qtractorMidiTimer.h
  qtractorMixer.h
  qtractorMmcEvent.h
  qtractorMonitor.h
  qtractorNsmClient.h
  qtractorObserver.h
  qtractorObserverWidget.h
  qtractorOptions.h
  qtractorPlugin.h
  qtractorPluginFactory.h
  qtractorPluginCommand.h
  qtractorPluginListView.h
  qtractorPropertyCommand.h
  qtractorRingBuffer.h
  qtractorRubberBand.h
  qtractorScrollView.h
  qtractorSession.h
  qtractorSessionCommand.h
  qtractorSessionCursor.h
  qtractorSpinBox.h
  qtractorThumbView.h
  qtractorTimeScale.h
  qtractorTimeScaleCommand.h
  qtractorTimeStretcher.h
  qtractorTrack.h
  qtractorTrackButton.h
  qtractorTrackCommand.h
  qtractorTrackList.h
  qtractorTrackTime.h
  qtractorTrackView.h
  qtractorTracks.h
  qtractorVstPlugin.h
  qtractorZipFile.h
  qtractorWsolaTimeStretcher.h
  qtractorBusForm.h
  qtractorClipForm.h
  qtractorConnectForm.h
  qtractorEditRangeForm.h
  qtractorExportForm.h
  qtractorInstrumentForm.h
  qtractorMainForm.h
  qtractorMidiControlForm.h
  qtractorMidiControlObserverForm.h
  qtractorMidiEditorForm.h
  qtractorMidiSysexForm.h
  qtractorMidiToolsForm.h
  qtractorOptionsForm.h
  qtractorPaletteForm.h
  qtractorPasteRepeatForm.h
  qtractorPluginForm.h
  qtractorPluginSelectForm.h
  qtractorSessionForm.h
  qtractorShortcutForm.h
  qtractorTakeRangeForm.h
  qtractorTempoAdjustForm.h
  qtractorTimeScaleForm.h
  qtractorTrackForm.h
)

set (SOURCES
  qtractor.cpp
  qtractorActionControl.cpp
  qtractorAudioBuffer.cpp
  qtractorAudioClip.cpp
  qtractorAudioConnect.cpp
  qtractorAudioEngine.cpp
  qtractorAudioFile.cpp
  qtractorAudioListView.cpp
  qtractorAudioMadFile.cpp
  qtractorAudioMeter.cpp
  qtractorAudioMonitor.cpp
  qtractorAudioPeak.cpp
  qtractorAudioSndFile.cpp
  qtractorAudioVorbisFile.cpp
  qtractorClip.cpp
  qtractorClipCommand.cpp
  qtractorClipSelect.cpp
  qtractorCommand.cpp
  qtractorConnect.cpp
  qtractorConnections.cpp
  qtractorDocument.cpp
  qtractorCurve.cpp
  qtractorCurveCommand.cpp
  qtractorCurveFile.cpp
  qtractorCurveSelect.cpp
  qtractorDssiPlugin.cpp
  qtractorEngine.cpp
  qtractorEngineCommand.cpp
  qtractorFileList.cpp
  qtractorFileListView.cpp
  qtractorFiles.cpp
  qtractorFileSystem.cpp
  qtractorInsertPlugin.cpp
  qtractorInstrument.cpp
  qtractorInstrumentMenu.cpp
  qtractorLadspaPlugin.cpp
  qtractorLv2Plugin.cpp
  qtractorMessageBox.cpp
  qtractorMessageList.cpp
  qtractorMessages.cpp
  qtractorMeter.cpp
  qtractorMidiClip.cpp
  qtractorMidiConnect.cpp
  qtractorMidiControl.cpp
  qtractorMidiControlCommand.cpp
  qtractorMidiControlObserver.cpp
  qtractorMidiControlTypeGroup.cpp
  qtractorMidiCursor.cpp
  qtractorMidiEditor.cpp
  qtractorMidiEditCommand.cpp
  qtractorMidiEditEvent.cpp
  qtractorMidiEditList.cpp
  qtractorMidiEditSelect.cpp
  qtractorMidiEditTime.cpp
  qtractorMidiEditView.cpp
  qtractorMidiEngine.cpp
  qtractorMidiEventList.cpp
  qtractorMidiFile.cpp
  qtractorMidiFileTempo.cpp
  qtractorMidiListView.cpp
  qtractorMidiManager.cpp
  qtractorMidiMeter.cpp
  qtractorMidiMonitor.cpp
  qtractorMidiRpn.cpp
  qtractorMidiSequence.cpp
  qtractorMidiThumbView.cpp
  qtractorMidiTimer.cpp
  qtractorMixer.cpp
  qtractorMmcEvent.cpp
  qtractorNsmClient.cpp
  qtractorObserver.cpp
  qtractorObserverWidget.cpp
  qtractorOptions.cpp
  qtractorPlugin.cpp
  qtractorPluginFactory.cpp
  qtractorPluginCommand.cpp
  qtractorPluginListView.cpp
  qtractorRubberBand.cpp
  qtractorScrollView.cpp
  qtractorSession.cpp
  qtractorSessionCommand.cpp
  qtractorSessionCursor.cpp
  qtractorSpinBox.cpp
  qtractorThumbView.cpp
  qtractorTimeScale.cpp
  qtractorTimeScaleCommand.cpp
  qtractorTimeStretcher.cpp
  qtractorTrack.cpp
  qtractorTrackButton.cpp
  qtractorTrackCommand.cpp
  qtractorTrackList.cpp
  qtractorTrackTime.cpp
  qtractorTrackView.cpp
  qtractorTracks.cpp
  qtractorVstPlugin.cpp
  qtractorWsolaTimeStretcher.cpp
  qtractorZipFile.cpp
  qtractorBusForm.cpp
  qtractorClipForm.cpp
  qtractorConnectForm.cpp
  qtractorEditRangeForm.cpp
  qtractorExportForm.cpp
  qtractorInstrumentForm.cpp
  qtractorMainForm.cpp
  qtractorMidiControlForm.cpp
  qtractorMidiControlObserverForm.cpp
  qtractorMidiEditorForm.cpp
  qtractorMidiSysexForm.cpp
  qtractorMidiToolsForm.cpp
  qtractorOptionsForm.cpp
  qtractorPaletteForm.cpp
  qtractorPasteRepeatForm.cpp
  qtractorPluginForm.cpp
  qtractorPluginSelectForm.cpp
  qtractorSessionForm.cpp
  qtractorShortcutForm.cpp
  qtractorTakeRangeForm.cpp
  qtractorTempoAdjustForm.cpp
  qtractorTimeScaleForm.cpp
  qtractorTrackForm.cpp
)

set (FORMS
  qtractorBusForm.ui
  qtractorClipForm.ui
  qtractorConnectForm.ui
  qtractorEditRangeForm.ui
  qtractorExportForm.ui
  qtractorInstrumentForm.ui
  qtractorMainForm.ui
  qtractorMidiControlForm.ui
  qtractorMidiControlObserverForm.ui
  qtractorMidiEditorForm.ui
  qtractorMidiSysexForm.ui
  qtractorMidiToolsForm.ui
  qtractorOptionsForm.ui
  qtractorPaletteForm.ui
  qtractorPasteRepeatForm.ui
  qtractorPluginForm.ui
  qtractorPluginSelectForm.ui
  qtractorSessionForm.ui
  qtractorShortcutForm.ui
  qtractorTakeRangeForm.ui
  qtractorTempoAdjustForm.ui
  qtractorTimeScaleForm.ui
  qtractorTrackForm.ui
)

set (RESOURCES
  qtractor.qrc
)

set (TRANSLATIONS
  translations/qtractor_cs.ts
  translations/qtractor_de.ts
  translations/qtractor_es.ts
  translations/qtractor_fr.ts
  translations/qtractor_it.ts
  translations/qtractor_ja.ts
  translations/qtractor_pt.ts
  translations/qtractor_ru.ts
)

qt5_add_translation ( QM_FILES ${TRANSLATIONS} )
add_custom_target( translations ALL DEPENDS ${QM_FILES} )

qt5_wrap_ui (UI_SOURCES ${FORMS})
qt5_wrap_cpp (MOC_SOURCES ${HEADERS})
qt5_add_resources (QRC_SOURCES ${RESOURCES})

if (WIN32)
  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${NAME}.rc)
  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.res.obj)
  find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
  if (MINGW)
    exec_program (${WINDRES_EXECUTABLE}
      ARGS "-i ${RC_FILE} -o ${RES_FILE} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}/images")
    list (APPEND SOURCES ${RES_FILE})
  else ()
    list (APPEND SOURCES ${RC_FILE})
  endif ()
endif ()

if (APPLE)
  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${NAME}.icns)
  list (APPEND SOURCES ${ICON_FILE})
  set (MACOSX_BUNDLE_ICON_FILE ${NAME}.icns)
  set_source_files_properties (${ICON_FILE} PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)
endif ()


add_executable (${NAME}
  ${UI_SOURCES}
  ${MOC_SOURCES}
  ${QRC_SOURCES}
  ${SOURCES}
)

add_executable (${NAME}_plugin_scan qtractor_plugin_scan.cpp)

set_target_properties (${NAME} PROPERTIES CXX_STANDARD 11)
set_target_properties (${NAME}_plugin_scan PROPERTIES CXX_STANDARD 11)

if (WIN32)
  set_target_properties (${NAME} PROPERTIES WIN32_EXECUTABLE true)
  set_target_properties (${NAME}_plugin_scan PROPERTIES WIN32_EXECUTABLE true)
endif ()

if (APPLE)
  set_target_properties (${NAME} PROPERTIES MACOSX_BUNDLE true)
  set_target_properties (${NAME}_plugin_scan PROPERTIES MACOSX_BUNDLE true)
endif ()

target_link_libraries (${NAME} PRIVATE Qt5::Widgets Qt5::Xml)
target_link_libraries (${NAME}_plugin_scan PRIVATE Qt5::Core)

if (CONFIG_XUNIQUE)
  target_link_libraries (${NAME} PRIVATE Qt5::Network)
endif ()

if (CONFIG_LIBJACK)
  target_link_libraries (${NAME} PRIVATE ${JACK_LIBRARIES})
endif ()

if (CONFIG_LIBASOUND)
  target_link_libraries (${NAME} PRIVATE ${ALSA_LIBRARIES})
endif ()

if (CONFIG_LIBSNDFILE)
  target_link_libraries (${NAME} PRIVATE ${SNDFILE_LIBRARIES})
endif ()

if (CONFIG_LIBVORBIS)
  target_link_libraries (${NAME} PRIVATE ${VORBIS_LIBRARIES})
endif ()

if (CONFIG_LIBMAD)
  target_link_libraries (${NAME} PRIVATE ${MAD_LIBRARIES})
endif ()

if (CONFIG_LIBSAMPLERATE)
  target_link_libraries (${NAME} PRIVATE ${SAMPLERATE_LIBRARIES})
endif ()

if (CONFIG_LIBRUBBERBAND)
  target_link_libraries (${NAME} PRIVATE ${RUBBERBAND_LIBRARIES})
endif ()

if (CONFIG_LIBAUBIO)
  target_link_libraries (${NAME} PRIVATE ${AUBIO_LIBRARIES})
endif ()

if (CONFIG_LIBLO)
  target_link_libraries (${NAME} PRIVATE ${LIBLO_LIBRARIES})
endif ()

if (CONFIG_LIBZ)
  target_link_libraries (${NAME} PRIVATE ${ZLIB_LIBRARIES})
endif ()

if (CONFIG_LIBLILV)
  target_link_libraries (${NAME} PRIVATE ${LILV_LIBRARIES})
endif ()

if (CONFIG_LIBSUIL)
  target_link_libraries (${NAME} PRIVATE ${SUIL_LIBRARIES})
endif ()

if (CONFIG_VST)
  target_link_libraries (${NAME} PRIVATE Qt5::X11Extras)
endif ()


if (UNIX AND NOT APPLE)
  install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_INSTALL_BINDIR})
  install (TARGETS ${NAME}_plugin_scan RUNTIME
     DESTINATION ${CMAKE_INSTALL_LIBDIR}/${NAME})
  install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
  install (FILES ${NAME}.desktop
     DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
  install (FILES images/${NAME}.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
  install (FILES appdata/${NAME}.appdata.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
  install (FILES mimetypes/${NAME}.xml
     DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages)
  install (FILES mimetypes/application-x-${NAME}-session.png
       mimetypes/application-x-${NAME}-template.png
       mimetypes/application-x-${NAME}-archive.png
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/mimetypes)
  install (FILES mimetypes/application-x-${NAME}-session.svg
       mimetypes/application-x-${NAME}-template.svg
       mimetypes/application-x-${NAME}-archive.svg
     DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/mimetypes)
endif ()

if (WIN32)
   install (TARGETS ${NAME} RUNTIME
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
   install (TARGETS ${NAME}_plugin_scan RUNTIME
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
   install (FILES ${QM_FILES}
     DESTINATION ${CMAKE_INSTALL_DATADIR}/${NAME}/translations)
endif ()

## qtractor 0.4.6

=== debian/changelog ===
qtractor (0.4.6-2) unstable; urgency=low

  * Change my email address.
  * Bump Standards.
  * Switch to 3.0 (quilt) format.
  * Add gbp.conf file.
  * Add .gitignore file.
  * Update debian/copyright as per DEP-5 proposal.
  * Don't install README.VST file.
  * Provide runtime package for debugging symbols.

 -- Alessio Treglia <alessio@debian.org>  Thu, 22 Jul 2010 23:26:44 +0200

qtractor (0.4.6-1) unstable; urgency=low

  * Add source format file.
  * New upstream release (Closes: #582644).
  * Drop patch to the desktop file, no longer needed.
  * Refresh 02-package_url.patch,03-binutils_gold.patch patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 23 May 2010 20:41:26 +0200

qtractor (0.4.5-2) unstable; urgency=low

  * Bump Standards.
  * liblo transition.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 28 Feb 2010 19:24:47 +0100

qtractor (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - dehelper version should be at least 7.0.8~ (due to the use of --with).
    - Disable build-dependency on libasound2-dev, alsa-seq is not available
      on kfreebsd,hurd archs.
  * debian/patches/04-nonx86_ftbfs.patch is no longer needed, bug fixed by
    upstream (Closes: #565860).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 24 Jan 2010 13:25:31 +0100

qtractor (0.4.4-2) unstable; urgency=low

  * Refresh patches.
  * Add patch to prevent FTBFS on non-x86 architectures (Closes: #565860);
    patch provided by Adrian Knoth.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 19 Jan 2010 12:24:48 +0100

qtractor (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * Enable LV2 plugin support by adding build-dependency on lv2core,
    libslv2-dev.
  * Add 03-binutils_gold.patch to fix build failure with binutils-gold
    (Closes: #556307).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 17 Jan 2010 10:42:23 +0100

qtractor (0.4.3-2) unstable; urgency=low

  * Switch to debhelper 7.
  * Add quilt support.
  * debian/control:
    - Change Maintainers to Debian Multimedia Maintainers.
    - Add myself as uploader.
    - Lines should be shorter than 80 chars.
    - Allow uploads by Debian Maintainers.
    - Add Vcs-* tags.
    - Replace automake1.9 with automake.
  * Revert direct change to the configure file.
  * Fix direct-changes-in-diff-but-no-patch-system by converting all changes
    in quilt patches.
  * debian/qtractor.1: Fix spelling error.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 11 Jan 2010 08:00:22 +0100

qtractor (0.4.3-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * Fix spelling error in description.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 13 Oct 2009 07:42:03 +0200

qtractor (0.4.2-1) unstable; urgency=low

  * New upstream version. (Closes: #531887)
  * Bump standards version.
  * Remove dh_desktop from debian/rules.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 23 Jun 2009 15:36:27 +0200

qtractor (0.4.1-1) unstable; urgency=low

  * New upstream version. (Closes: #522518)
  * Updated debian/copyright.
  * Drop debian/qtractor.desktop since it comes
    with upstream now.
  * Added Homepage field.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 07 May 2009 12:54:23 +0200

qtractor (0.4.0+debian-1) unstable; urgency=low

  * New upstream release.
  * Repackaged without upstream debian/.
  * Bump standards version.
  * Updated debian/copyright.
  * Added manual page.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 17 Mar 2009 08:51:25 +0100

qtractor (0.3.0-1) unstable; urgency=low

  * New upstream release. (Closes: #501269)
  * Bump standards version.
  * Bump debhelper version.
  * Update my email address in Uploaders field.
  * Add librubberband-dev, dssi-dev, and liblo0-dev to build-depends.
  * Updated debian/rules.
  * Add debian/menu.
  * Updated debian/copyright.
  * Drop dpatch from debian/control build-depends.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 23 Feb 2009 09:54:45 +0100

qtractor (0.2.1-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <freee@debian.org>  Sat, 30 Aug 2008 07:48:03 +0100

qtractor (0.1.3-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <freee@debian.org>  Mon,  5 May 2008 16:06:03 +0100

qtractor (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <freee@debian.org>  Wed, 30 Apr 2008 11:07:00 +0100

qtractor (0.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use --disable-sse parameter, closes: #459745

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 29 Jan 2008 17:44:45 +0200

qtractor (0.1.0-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <freee@debian.org>  Mon,  7 Jan 2008 13:49:33 +0000

qtractor (0.0.9.778-1+cvs071211) unstable; urgency=low

  [ Gürkan Sengün ]
  * New upstream version. (Closes: #452112)
  * debian/compat: Bump compat level.
  * debian/control:
    + Bump standards version
    + Added myself to Uploaders field.
  * debian/rules: Cleaned up. (Closes: #442720)
  * debian/copyright: Reformatted.

  [ Free Ekanayaka ]
  * New CVS snapshot

 -- Free Ekanayaka <freee@debian.org>  Wed, 12 Dec 2007 10:19:29 +0000

qtractor (0.0.3.662-2) unstable; urgency=low

  * debian/patches:
     - added 20_qt4_41 patch to make the source build against qt4 4.1

 -- Free Ekanayaka <freee@debian.org>  Tue, 17 Jul 2007 01:03:20 +0200

qtractor (0.0.3.662-1) unstable; urgency=low

  * New upstream release
  * Added .desktop file (Closes: #426575)

 -- Free Ekanayaka <freee@debian.org>  Fri, 29 Jun 2007 11:25:36 +0200

qtractor (0.0.1.586-1) unstable; urgency=low

  * New upstream release (Closes: #415207)
  * Added watch file

 -- Free Ekanayaka <freee@debian.org>  Wed,  2 May 2007 12:31:50 +0200

qtractor (0.0.1.569-1) unstable; urgency=low

  * First release

 -- Free Ekanayaka <freee@debian.org>  Sat, 17 Mar 2007 14:31:53 +0100

=== debian/control ===
Source: qtractor
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Gürkan Sengün <gurkan@phys.ethz.ch>,
 Alessio Treglia <alessio@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
 libqt4-dev,
 libtool,
 automake,
 libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
 libjack-dev,
 libsndfile1-dev,
 ladspa-sdk,
 libvorbis-dev,
 libmad0-dev,
 libsamplerate0-dev | libsamplerate-dev,
 libx11-dev,
 librubberband-dev,
 liblo-dev,
 dssi-dev,
 lv2core,
 libslv2-dev
Homepage: http://qtractor.sourceforge.net/
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/pkg-multimedia/qtractor.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qtractor.git

Package: qtractor
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: MIDI/Audio multi-track sequencer application
 Qtractor is a MIDI/Audio multi-track sequencer application written
 in C++ around the Qt4 toolkit using Qt Designer.
 .
 The Jack Audio Connection Kit (JACK) for audio, and the Advanced Linux
 Sound Architecture (ALSA) for MIDI, are the main infrastructures to
 evolve as a fairly-featured Linux Desktop Audio Workstation GUI, especially
 dedicated to the personal home-studio.

Package: qtractor-dbg
Section: debug
Priority: extra
Architecture: any
Depends: qtractor (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for Qtractor
 Qtractor is a MIDI/Audio multi-track sequencer application written
 in C++ around the Qt4 toolkit using Qt Designer.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug

override_dh_strip:
	dh_strip --dbg-package=qtractor-dbg

=== debian/watch ===
version=3

# Pattern
#ftp://heanet.dl.sourceforge.net/q/qt/qtractor/qtractor-(.*)\.tar\.gz debian svn-upgrade
opts=dversionmangle=s/\.debian// \
http://sf.net/qtractor/qtractor-(.+)\.tar\.gz

## qtractor 0.4.8

=== debian/changelog ===
qtractor (0.4.8-1) experimental; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Adjust build-deps to provide jack session support.

 -- Alessio Treglia <alessio@debian.org>  Thu, 20 Jan 2011 18:04:31 +0100

qtractor (0.4.7-1) experimental; urgency=low

  * New upstream release.
  * Depends on jackd.
  * Drop 03-binutils_gold.patch, fixed upstream.
  * Refresh patches.
  * Update debian/watch.
  * Bump Standards.
  * Update debian/gbp.conf.

 -- Alessio Treglia <alessio@debian.org>  Mon, 04 Oct 2010 13:39:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  libqt4-dev,
  libtool,
  automake,
- libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
- libjack-dev,
+ libasound2-dev,
+ libjack-dev (>= 1:0.118+svn4089-1~) | libjack-jackd2-dev (>= 1.9.6~dfsg.1-3~),
  libsndfile1-dev,
  ladspa-sdk,
  libvorbis-dev,
@@ -24,13 +24,14 @@
  lv2core,
  libslv2-dev
 Homepage: http://qtractor.sourceforge.net/
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/pkg-multimedia/qtractor.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qtractor.git
 
 Package: qtractor
 Architecture: any
 Depends: ${shlibs:Depends},
+ jackd,
  ${misc:Depends}
 Description: MIDI/Audio multi-track sequencer application
  Qtractor is a MIDI/Audio multi-track sequencer application written

## qtractor 0.5.0

=== debian/changelog ===
qtractor (0.5.0-2) unstable; urgency=low

  * debian/control:
    - Build-Depends on liblilv-dev,libsuil-dev,libgtk2.0-dev.
    - Drop SLV2 support, now deprecated and replaced by lilv.
    - Sort build-dependencies.
  * debian/rules:
    - Enable parallel builds.
    - Explicitly enable lilv,suil.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Jul 2011 13:15:21 +0200

qtractor (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add Provides: lv2-host
  * Build-Depend on libjack-dev only (Closes: #628713).

 -- Alessio Treglia <alessio@debian.org>  Sat, 23 Jul 2011 11:13:33 +0200

qtractor (0.4.9-1) unstable; urgency=low

  * New upstream release "The Final Dudette" (Closes: #628102):
    - Several new features.
    - Many, many bugfixes:
      + Session and track names are now sanitized from
        slashes (Closes: #625798).
  * Update Standards-Version to 3.9.2.

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 May 2011 16:05:47 +0200

qtractor (0.4.8-2) unstable; urgency=low

  * Upload to unstable.
  * Link with -Wl,--as-needed.
  * Enable dh-autoreconf.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Mar 2011 22:35:58 +0100

## qtractor 0.5.1

=== debian/changelog ===
qtractor (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Fri, 07 Oct 2011 18:43:05 +0200

## qtractor 0.5.2

=== debian/changelog ===
qtractor (0.5.2-1) unstable; urgency=low

  * New upstream release "The Charlie X-ray".
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sat, 24 Dec 2011 10:51:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,28 @@
  Gürkan Sengün <gurkan@phys.ethz.ch>,
  Alessio Treglia <alessio@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: automake,
+ debhelper (>= 7.0.50~),
+ dh-autoreconf,
+ dssi-dev,
+ ladspa-sdk,
+ libasound2-dev,
+ libgtk2.0-dev,
+ libjack-dev,
+ liblilv-dev,
+ liblo-dev,
+ libmad0-dev,
  libqt4-dev,
+ librubberband-dev,
+ libsamplerate0-dev | libsamplerate-dev,
+ libsndfile1-dev,
+ libsuil-dev,
  libtool,
- automake,
- libasound2-dev,
- libjack-dev (>= 1:0.118+svn4089-1~) | libjack-jackd2-dev (>= 1.9.6~dfsg.1-3~),
- libsndfile1-dev,
- ladspa-sdk,
  libvorbis-dev,
- libmad0-dev,
- libsamplerate0-dev | libsamplerate-dev,
  libx11-dev,
- librubberband-dev,
- liblo-dev,
- dssi-dev,
- lv2core,
- libslv2-dev
+ lv2core
 Homepage: http://qtractor.sourceforge.net/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/pkg-multimedia/qtractor.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qtractor.git
 
@@ -33,6 +36,7 @@
 Depends: ${shlibs:Depends},
  jackd,
  ${misc:Depends}
+Provides: lv2-host
 Description: MIDI/Audio multi-track sequencer application
  Qtractor is a MIDI/Audio multi-track sequencer application written
  in C++ around the Qt4 toolkit using Qt Designer.

## qtractor 0.5.3

=== debian/changelog ===
qtractor (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Jan 2012 08:16:44 +0100

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-debug \
		--enable-lilv \
		--enable-suil

override_dh_strip:
	dh_strip --dbg-package=qtractor-dbg

## qtractor 0.5.4

=== debian/changelog ===
qtractor (0.5.4-1) unstable; urgency=low

  * New upstream release "Echo Victor".
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Mar 2012 10:21:45 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libx11-dev,
  lv2core
 Homepage: http://qtractor.sourceforge.net/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/pkg-multimedia/qtractor.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qtractor.git

## qtractor 0.5.5

=== debian/changelog ===
qtractor (0.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 16 Jun 2012 00:31:23 +0200

qtractor (0.5.4-3) unstable; urgency=low

  * Replace lv2core with lv2-dev in Build-Depends.

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 May 2012 19:19:52 +0200

qtractor (0.5.4-2) unstable; urgency=low

  * Remove 02-package_url.patch, applied upstream.
  * Add patch to prevent FTBFS with GCC 4.7. (Closes: #667345)

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 Apr 2012 09:30:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Free Ekanayaka <freee@debian.org>,
+Uploaders:
+ Free Ekanayaka <freee@debian.org>,
  Gürkan Sengün <gurkan@phys.ethz.ch>,
  Alessio Treglia <alessio@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: automake,
+Build-Depends:
+ automake,
  debhelper (>= 7.0.50~),
  dh-autoreconf,
  dssi-dev,
@@ -25,7 +27,7 @@
  libtool,
  libvorbis-dev,
  libx11-dev,
- lv2core
+ lv2-dev
 Homepage: http://qtractor.sourceforge.net/
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/pkg-multimedia/qtractor.git
@@ -33,10 +35,12 @@
 
 Package: qtractor
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
  jackd,
- ${misc:Depends}
-Provides: lv2-host
+ ${misc:Depends},
+ ${shlibs:Depends}
+Provides:
+ lv2-host
 Description: MIDI/Audio multi-track sequencer application
  Qtractor is a MIDI/Audio multi-track sequencer application written
  in C++ around the Qt4 toolkit using Qt Designer.
@@ -50,7 +54,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: qtractor (= ${binary:Version}),
+Depends:
+ qtractor (= ${binary:Version}),
  ${misc:Depends}
 Description: Debugging symbols for Qtractor
  Qtractor is a MIDI/Audio multi-track sequencer application written

## qtractor 0.5.7

=== debian/changelog ===
qtractor (0.5.7-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper to automatically enable the hardened flags.

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 Jan 2013 11:01:42 +0000

qtractor (0.5.6-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Fri, 12 Oct 2012 01:00:29 +0100

## qtractor 0.5.8

=== debian/changelog ===
qtractor (0.5.8-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Don't build with --enable-debug. (Closes: #699065)

 -- Alessio Treglia <alessio@debian.org>  Mon, 03 Jun 2013 23:35:19 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DM-Upload-Allowed: yes
 Build-Depends:
  automake,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  dh-autoreconf,
  dssi-dev,
  ladspa-sdk,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-debug \
+	dh_auto_configure -- \
 		--enable-lilv \
 		--enable-suil

## qtractor 0.5.11

=== debian/changelog ===
qtractor (0.5.11-3) unstable; urgency=low

  * Disable powerpc-specific buggy asm to fix FTBFS. (Closes: #725611)

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Oct 2013 10:34:34 +0100

qtractor (0.5.11-2) unstable; urgency=low

  * Restrict build to linux-any.
  * Another attempt to fix FTBFS.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Oct 2013 16:31:37 +0100

qtractor (0.5.11-1) unstable; urgency=low

  * New upstream release.
  * Attempt to fix FTBFS by introducing fallback for custom
    atomic functions.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Oct 2013 14:16:23 +0100

qtractor (0.5.10-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove DM-Upload-Allowed.
  * Remove -DBG package, unbuildable with --debug disabled
  * Fix Vcs urls.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 29 Sep 2013 23:16:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Free Ekanayaka <freee@debian.org>,
  Gürkan Sengün <gurkan@phys.ethz.ch>,
  Alessio Treglia <alessio@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends:
  automake,
  debhelper (>= 9~),
@@ -29,12 +28,12 @@
  libx11-dev,
  lv2-dev
 Homepage: http://qtractor.sourceforge.net/
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/pkg-multimedia/qtractor.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qtractor.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qtractor.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qtractor.git
 
 Package: qtractor
-Architecture: any
+Architecture: linux-any
 Depends:
  jackd,
  ${misc:Depends},
@@ -49,16 +48,3 @@
  Sound Architecture (ALSA) for MIDI, are the main infrastructures to
  evolve as a fairly-featured Linux Desktop Audio Workstation GUI, especially
  dedicated to the personal home-studio.
-
-Package: qtractor-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- qtractor (= ${binary:Version}),
- ${misc:Depends}
-Description: Debugging symbols for Qtractor
- Qtractor is a MIDI/Audio multi-track sequencer application written
- in C++ around the Qt4 toolkit using Qt Designer.
- .
- This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,3 @@
 	dh_auto_configure -- \
 		--enable-lilv \
 		--enable-suil
-
-override_dh_strip:
-	dh_strip --dbg-package=qtractor-dbg

## qtractor 0.6.1

=== debian/changelog ===
qtractor (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards.
  * Refresh debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 May 2014 23:52:57 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  libx11-dev,
  lv2-dev
 Homepage: http://qtractor.sourceforge.net/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qtractor.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qtractor.git

## qtractor 0.6.3

=== debian/changelog ===
qtractor (0.6.3-1) unstable; urgency=medium

  * Imported Upstream version 0.6.3
  * Add patch to introduce Keywords and exec-code to desktop file.
  * Update copyright file.
  * Add myself as uploader.
  * Droped buildsystem patch - applied upstream.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 20 Oct 2014 03:06:51 +0200

=== debian/watch ===
version=3
http://sf.net/qtractor/qtractor-([\d.]+)\.tar\.gz

## qtractor 0.6.7

=== debian/changelog ===
qtractor (0.6.7-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:04:20 +0000

qtractor (0.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 28 May 2015 08:15:04 +0200

qtractor (0.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 23 May 2015 16:53:10 +0200

qtractor (0.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Disable 03-gcc47.patch.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 Mar 2015 15:25:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: qtractor
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Gürkan Sengün <gurkan@phys.ethz.ch>,
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  automake,
  debhelper (>= 9~),
@@ -28,7 +30,7 @@
  libx11-dev,
  lv2-dev
 Homepage: http://qtractor.sourceforge.net/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qtractor.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/qtractor.git

## qtractor 0.7.1

=== debian/changelog ===
qtractor (0.7.1-1) unstable; urgency=medium

  * Imported Upstream version 0.7.1
  * Removed menu file (Following tech-ccte on #741573).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Oct 2015 11:04:15 +0100

qtractor (0.7.0-1) unstable; urgency=medium

  * Imported Upstream version 0.7.0
  * Refreshed patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 03 Sep 2015 10:19:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtractor
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Gürkan Sengün <gurkan@phys.ethz.ch>,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 LDFLAGS+=-Wl,--as-needed
 
@@ -9,3 +14,6 @@
 	dh_auto_configure -- \
 		--enable-lilv \
 		--enable-suil
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
